chat/catgirl - The NetBSD Packages Collection

TLS-only terminal IRC client

catgirl(1) is a TLS-only terminal IRC client.

Notable Features:

* Tab complete: most recently seen or mentioned nicks are completed first.
Commas are inserted between multiple nicks.

* Prompt: the prompt clearly shows whether input will be interpreted as a
command or sent as a message.

* Split scroll: keeps the latest messages in view while scrolling.

* URL detection: recent URLs from a particular user or matching a substring
can be opened or copied.

* Nick coloring: color generation based on usernames remains stable across
nick changes. Mentions of users in messages are colored.

* Topic diffing: the modified portion of a channel topic change is highlighted.

* Ignore: visibility of filtered messages can be toggled.

Build dependencies

pkgtools/mktools devel/pkgconf pkgtools/cwrappers

Runtime dependencies

devel/ncursesw security/libretls devel/ncursesw

Binary packages

OSArchitectureVersion
NetBSD 10.0aarch64catgirl-2.1.tgz
NetBSD 10.0earmv6hfcatgirl-2.1.tgz
NetBSD 10.0earmv7hfcatgirl-2.1.tgz
NetBSD 10.0i386catgirl-2.1.tgz
NetBSD 10.0powerpccatgirl-2.1.tgz
NetBSD 10.0powerpccatgirl-2.1.tgz
NetBSD 10.0x86_64catgirl-2.1.tgz
NetBSD 10.0x86_64catgirl-2.1.tgz
NetBSD 8.0i386catgirl-2.1.tgz
NetBSD 8.0i386catgirl-2.1.tgz
NetBSD 8.0powerpccatgirl-2.1.tgz
NetBSD 8.0powerpccatgirl-2.1.tgz
NetBSD 8.0x86_64catgirl-2.1.tgz
NetBSD 8.0x86_64catgirl-2.1.tgz
NetBSD 9.0aarch64catgirl-2.1.tgz
NetBSD 9.0aarch64catgirl-2.1.tgz
NetBSD 9.0alphacatgirl-2.1.tgz
NetBSD 9.0alphacatgirl-2.1.tgz
NetBSD 9.0alphacatgirl-2.1.tgz
NetBSD 9.0alphacatgirl-2.1.tgz
NetBSD 9.0earmv6hfcatgirl-2.1.tgz
NetBSD 9.0earmv6hfcatgirl-2.1.tgz
NetBSD 9.0earmv7hfcatgirl-2.1.tgz
NetBSD 9.0earmv7hfcatgirl-2.1.tgz
NetBSD 9.0i386catgirl-2.1.tgz
NetBSD 9.0i386catgirl-2.1.tgz
NetBSD 9.0i386catgirl-2.1.tgz
NetBSD 9.0m68kcatgirl-2.1.tgz
NetBSD 9.0m68kcatgirl-2.1.tgz
NetBSD 9.0mips64ebcatgirl-2.1.tgz
NetBSD 9.0mips64ebcatgirl-2.1.tgz
NetBSD 9.0mips64ebcatgirl-2.1.tgz
NetBSD 9.0mips64ebcatgirl-2.1.tgz
NetBSD 9.0powerpccatgirl-2.1.tgz
NetBSD 9.0powerpccatgirl-2.1.tgz
NetBSD 9.0powerpccatgirl-2.1.tgz
NetBSD 9.0sparc64catgirl-2.1.tgz
NetBSD 9.0sparc64catgirl-2.1.tgz
NetBSD 9.0sparc64catgirl-2.1.tgz
NetBSD 9.0sparc64catgirl-2.1.tgz
NetBSD 9.0sparccatgirl-2.1.tgz
NetBSD 9.0sparccatgirl-2.1.tgz
NetBSD 9.0sparccatgirl-2.1.tgz
NetBSD 9.0vaxcatgirl-2.1.tgz
NetBSD 9.0vaxcatgirl-2.1.tgz
NetBSD 9.0vaxcatgirl-2.1.tgz
NetBSD 9.0x86_64catgirl-2.1.tgz
NetBSD 9.0x86_64catgirl-2.1.tgz
NetBSD 9.0x86_64catgirl-2.1.tgz
NetBSD 9.0x86_64catgirl-2.1.tgz
NetBSD 9.0x86_64catgirl-2.1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.